This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Deleting old versions of packages


On 2013-10-28, at 20:34, Christopher Faylor wrote:

> The problem with this method is that it forces you to use a setup.hint
> file to delete packages.  For instance, I just had a case where I wanted
> make-4.0-2 to be curr and make-3.82.90-1 to be prev.  I really don't
> want to have to change setup.hint to enforce that because that's error
> prone.  If that's exactly what people were trying to warn me about then
> I apologize for being dense.

Maybe I'm too naive or too late, but it seems to me that you could
use the same procedure we used when uploading was done manually:
you'd upload the new version and send a message to the maintainers
saying "upload 4.0-2, keep 3.82.90-1 as prev, and delete all other

With the automatic system, this could take the form of a file (for
example !keep) that lists all the versions (other than the uploaded
one) that should be kept, with all other versions to be archived
and removed.

This is almost the same as changing setup.hint, but much less
error-prone because it's outside the package. You should also do a
few sanity checks: that all the versions mentioned in !keep are
present, and that all the versions mentioned in setup.hint are also
in !keep. If one of these conditions is false, you don't remove

-- Damien

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]